<template>
    <div>
        <TaskFrom v-bind:task="task" v-bind:users="users" v-on:back="back" v-on:submit="submit" v-on:remove="remove"></TaskFrom>
    </div>
</template>

<script>
import TaskFrom from './Task.Form';
import { editProject } from '@/api/projects.service.js'
export default {
    data() {
        return {
            task: {
                developer:{}
            }
        }
    },
    computed: {
        project() {
            return this.$store.getters.getCurrentProject;
        },
        sprint() {
            if (this.project && this.project.sprints[this.$route.params.sprintId]) {
                return this.project.sprints[this.$route.params.sprintId];
            }
            return {};
        },
        userStory() {
            if (this.sprint && this.sprint.userStories[this.$route.params.userStoryId]) {
                return this.sprint.userStories[this.$route.params.userStoryId];
            }
            return new Array();
        },
        users(){
            return this.$store.getters.getAllDevelopers;
        }
    },
    components: {
        TaskFrom
    },
    methods: {
        back: function () {
            this.$router.go(-1);
        },
        submit: function () {
            if (!this.userStory.tasks) {
                this.userStory.tasks = new Array();
            }
            this.userStory.tasks.push(this.task);           
            let id = this.project._id;
            editProject(id, this.project).then(() => {
                this.$store.dispatch('setProjectById', this.$route.params.id);
                this.$router.go(-1);
            });
        },
        remove() {

        }
    },
    created(){
        this.$store.dispatch('getAllUsers');
    }
}
</script>

<style>

</style>
